import { HostAppService, LogService, TranslateService } from 'tabby-core';
import { ShellProvider, Shell } from '../api';
/** @hidden */
export declare class LinuxDefaultShellProvider extends ShellProvider {
    private hostApp;
    private translate;
    private logger;
    constructor(hostApp: HostAppService, translate: TranslateService, log: LogService);
    provide(): Promise<Shell[]>;
}
